EDIT - feature request #9023

option to start cdm webapp with hibernate.hbm2ddl.auto = create

05/19/2020 05:45 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdmlib-remote Estimated time: 0:00 hour
Target version: Release 5.15

Severity: normal

Description

in compliance with the existing start parameter cdm.forceSchemaUpdate which can be set as system parameter or ServletContext

attribute the new option may be named cdm.forceSchemaCreate

UPDATE:

The new integration test profile can be run by

mvn integration-test -pl cdmlib-remote-webapp -Pdb-create

Associated revisions

Revision 5666c59e - 05/19/2020 05:54 PM - Andreas Kohlbecker

fix #9023 implementing stratup option cdm.forceSchemaCreate with integration test:
- CdmDatabaseException as RuntimeException for all sever db connection problems
- web service for CDM Metadata

- integration test for data base creation as optional maven profile

Revision 3b929¢99 - 05/20/2020 10:26 AM - Andreas Kohlbecker

ref #9023 documentation on running the test profile

History

#1 - 05/19/2020 05:54 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|5666c59e03073f5bbc982cb681203fb4bal177946.

#2 - 05/19/2020 05:56 PM - Andreas Kohlbecker
- Description updated
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

#3 - 05/19/2020 06:08 PM - Andreas Kohlbecker
- Status changed from Closed to Resolved

- % Done changed from 100 to 50

#4 - 05/20/2020 09:29 AM - Andreas Kohlbecker

running the integration tests from the parent project casues probelms:

mvn integration-test -pl cdmlib-remote-webapp -Pdb-create

Caused by: java.io.FileNotFoundException: class path resource [eu/etaxonomy/cdm/remote.xml] cannot be opened b

ecause it does not exist

at org.springframework.core.io.ClassPathResource.getInputStream

(ClassPathResource. java:172)

at org.springframework.beans.factory.xml.XmlBeanDefinitionReader.loadBeanDefinitions (XmlBeanDefinitionRea

der.java:330)
at org.springframework.beans.factory.xml.XmlBeanDefinitionReader.loadBeanDefinitions (XmlBeanDefinitionRea
der.java:304)

at org.springframework.beans.factory.support.AbstractBeanDefinitionReader.loadBeanDefinitions (AbstractBea
nDefinitionReader. java:181)

at org.springframework.beans.factory.support.AbstractBeanDefinitionReader.loadBeanDefinitions (AbstractBea
nDefinitionReader. java:217)

at org.springframework.beans.factory.xml.DefaultBeanDefinitionDocumentReader.importBeanDefinitionResource
(DefaultBeanDefinitionDocumentReader. java:223)

#5 - 05/20/2020 10:22 AM - Andreas Kohlbecker
prior running

mvn package -DskipTests

is needed

#6 - 06/09/2020 03:02 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

this works now as expected
